AdminCountriesGridJsParams = "width=430,height=250";

function AdminCountriesGridModify( uid ) {
	window.open( 'edit.php?mode=modify&uid='+uid , '_blank' , AdminCountriesGridJsParams );
}

function AdminCountriesGridAction( n , action ) {
	if ($("#"+FNTHSuperGrid_ToolbarId( n , action )).hasClass( "dsb" )) return;
	switch (action) {
	case "new":
		window.open( 'edit.php?mode=new' , '_blank' , AdminCountriesGridJsParams );break;
	case "modify":
		AdminCountriesGridModify( $("#"+n).data( "selecteds" )[0] , AdminCountriesGridJsParams );
		break;
	case "delete":
		if (!window.confirm( aJSLangDefs.languages_confirm_Delete_language )) return;
		BGAction( n , action );
		break;
	case "filter":
		$("#frm_AdminCountriesGrid").append( "<input type=\"hidden\" name=\"task\" value=\"filter\" />" );
		document.frm_AdminCountriesGrid.submit();
		break;
	}
}

function AdminCountriesGridSelectionChanged( tblid , chk , id ) {
	BGSelectionChanged( tblid , chk , id );
	BGSelectionChangedDefaultAMD( tblid , chk, id );
}
